Bug 1894244 - [Backport 4.6] IO archive contains more records of than is the limit
Summary: [Backport 4.6] IO archive contains more records of than is the limit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Ricardo Lüders
QA Contact: psimovec
URL:
Whiteboard:
Depends On: 1893766
Blocks: 1894243
TreeView+ depends on / blocked
 
Reported: 2020-11-03 19:46 UTC by Ricardo Lüders
Modified: 2021-01-18 17:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A misplaced array index was causing issues while pruning the records from memory. Consequence: It was causing excessive memory usage and not removing old reports from the archive. Fix: Change the array index key. Result: Prune is now removing records from memory, not causing memory overflow and keeping the records always updated at the archive.
Clone Of:
Environment:
Last Closed: 2021-01-18 17:58:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 261 0 None closed [release-4.6] Bug 1894244: Fixes records index on diskrecorder 2021-02-07 20:26:05 UTC
Red Hat Product Errata RHSA-2021:0037 0 None None None 2021-01-18 17:58:37 UTC

Description Ricardo Lüders 2020-11-03 19:46:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://issues.redhat.com/browse/CCXDEV-3429

Comment 6 errata-xmlrpc 2021-01-18 17:58:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037


Note You need to log in before you can comment on or make changes to this bug.